[arch-commits] Commit in gnupg/repos (6 files)
David Runge
dvzrv at gemini.archlinux.org
Fri Sep 2 17:02:42 UTC 2022
Date: Friday, September 2, 2022 @ 17:02:41
Author: dvzrv
Revision: 454911
archrelease: copy trunk to testing-x86_64
Added:
gnupg/repos/testing-x86_64/
gnupg/repos/testing-x86_64/PKGBUILD
(from rev 454910, gnupg/trunk/PKGBUILD)
gnupg/repos/testing-x86_64/avoid-beta-warning.patch
(from rev 454910, gnupg/trunk/avoid-beta-warning.patch)
gnupg/repos/testing-x86_64/drop-import-clean.patch
(from rev 454910, gnupg/trunk/drop-import-clean.patch)
gnupg/repos/testing-x86_64/gnupg.install
(from rev 454910, gnupg/trunk/gnupg.install)
gnupg/repos/testing-x86_64/keys/
--------------------------+
PKGBUILD | 103 +++++++++++++++++++++++++++++++++++++++++++++
avoid-beta-warning.patch | 56 ++++++++++++++++++++++++
drop-import-clean.patch | 54 +++++++++++++++++++++++
gnupg.install | 17 +++++++
4 files changed, 230 insertions(+)
Copied: gnupg/repos/testing-x86_64/PKGBUILD (from rev 454910, gnupg/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2022-09-02 17:02:41 UTC (rev 454911)
@@ -0,0 +1,103 @@
+# Maintainer: David Runge <dvzrv at archlinux.org>
+# Maintainer: Levente Polyak <anthraxx[at]archlinux[dot]org>
+# Maintainer: Lukas Fleischer <lfleischer at archlinux.org>
+# Contributor: Gaetan Bisson <bisson at archlinux.org>
+# Contributor: Tobias Powalowski <tpowa at archlinux.org>
+# Contributor: Andreas Radke <andyrtr at archlinux.org>
+# Contributor: Judd Vinet <jvinet at zeroflux.org>
+
+pkgname=gnupg
+pkgver=2.2.39
+pkgrel=1
+pkgdesc='Complete and free implementation of the OpenPGP standard'
+url='https://www.gnupg.org/'
+license=(BSD custom custom:CC0 GPL2 GPL3 LGPL3 LGPL2.1 MIT)
+arch=('x86_64')
+checkdepends=('openssh')
+makedepends=('libldap' 'libusb-compat' 'pcsclite')
+depends=('npth' 'libgpg-error' 'libgcrypt' 'libksba' 'libassuan' 'pinentry'
+ 'bzip2' 'libbz2.so' 'readline' 'libreadline.so' 'gnutls' 'sqlite'
+ 'zlib' 'glibc')
+optdepends=(
+ 'libldap: gpg2keys_ldap'
+ 'libusb-compat: scdaemon'
+ 'pcsclite: scdaemon'
+)
+options=('debug')
+validpgpkeys=(
+ '5B80C5754298F0CB55D8ED6ABCEF7E294B092E28' # Andre Heinecke (Release Signing Key)
+ '6DAA6E64A76D2840571B4902528897B826403ADA' # Werner Koch (dist signing 2020)
+ 'AC8E115BF73E2D8D47FA9908E98E9B2D19C6C8BD' # Niibe Yutaka (GnuPG Release Key)
+ '02F38DFF731FF97CB039A1DA549E695E905BA208' # GnuPG.com (Release Signing Key 2021)
+)
+source=(
+ "https://gnupg.org/ftp/gcrypt/${pkgname}/${pkgname}-${pkgver}.tar.bz2"{,.sig}
+ 'drop-import-clean.patch'
+ 'avoid-beta-warning.patch'
+)
+sha256sums=('ab74db6685f026d7c0a10b527ecddecd608606a1691d15fda5d0a7f7d27e4c2f'
+ 'SKIP'
+ '02d375f0045f56f7dd82bacdb5ce559afd52ded8b75f6b2673c39ec666e81abc'
+ '22fdf9490fad477f225e731c417867d9e7571ac654944e8be63a1fbaccd5c62d')
+b2sums=('a9e31830f3ef9ec6d8d461a85fcbe4b91bcac9607d3b5f13f5edc0c54505afb6c6c119cd397023b1378d96c7d0f15c0d60da1d15721e9a18eb3ea8c7b69fba83'
+ 'SKIP'
+ 'd598015e7f27b27840667d1656c083b4ad85d6acdd312e9929854067313a5f28415ee7eecf4d84a4b8da0385b667aaa01a9743461f5c785402a56c238274e376'
+ '7ea069e81e2d91a3154bcb62516b4b599f34596de277f95ad1ccaba73869c4f84f94f063b65026ba0bc8a72c0fd8e8e182b82346964f67ea78166b6399c923c5')
+
+install=$pkgname.install
+
+prepare() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+
+ local src
+ for src in "${source[@]}"; do
+ src="${src%%::*}"
+ src="${src##*/}"
+ [[ $src = *.patch ]] || continue
+ msg2 "Applying patch $src..."
+ patch -Np1 < "../$src"
+ done
+
+ # improve reproducibility
+ rm doc/gnupg.info*
+
+ ./autogen.sh
+}
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --sbindir=/usr/bin \
+ --libexecdir=/usr/lib/gnupg \
+ --enable-maintainer-mode \
+
+ make
+}
+
+check() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make check
+}
+
+package() {
+ local units=({dirmngr,gpg-agent{,-{browser,extra,ssh}}}.socket)
+ local socket_target_dir="$pkgdir/usr/lib/systemd/user/sockets.target.wants/"
+ local unit
+
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make DESTDIR="${pkgdir}" install
+ ln -s gpg "${pkgdir}"/usr/bin/gpg2
+ ln -s gpgv "${pkgdir}"/usr/bin/gpgv2
+
+ install -Dm 644 doc/examples/systemd-user/*.* -t "${pkgdir}/usr/lib/systemd/user"
+ install -Dm 644 COPYING.{CC0,other} -t "${pkgdir}/usr/share/licenses/$pkgname/"
+
+ install -vdm 755 "$socket_target_dir"
+ for unit in "${units[@]}"; do
+ ln -sv "../$unit" "$socket_target_dir$unit"
+ done
+}
+
+# vim: ts=2 sw=2 et:
Copied: gnupg/repos/testing-x86_64/avoid-beta-warning.patch (from rev 454910, gnupg/trunk/avoid-beta-warning.patch)
===================================================================
--- testing-x86_64/avoid-beta-warning.patch (rev 0)
+++ testing-x86_64/avoid-beta-warning.patch 2022-09-02 17:02:41 UTC (rev 454911)
@@ -0,0 +1,56 @@
+From 114ab3037de3b0f9b35cf023b64c8a9b76070065 Mon Sep 17 00:00:00 2001
+From: Debian GnuPG Maintainers <pkg-gnupg-maint at lists.alioth.debian.org>
+Date: Tue, 14 Apr 2015 10:02:31 -0400
+Subject: [PATCH 6/7] avoid beta warning
+
+avoid self-describing as a beta
+
+Using autoreconf against the source as distributed in tarball form
+invariably results in a package that thinks it's a "beta" package,
+which produces the "THIS IS A DEVELOPMENT VERSION" warning string.
+
+since we use dh_autoreconf, i need this patch to avoid producing
+builds that announce themselves as DEVELOPMENT VERSIONs.
+
+See discussion at:
+
+ http://lists.gnupg.org/pipermail/gnupg-devel/2014-November/029065.html
+---
+ autogen.sh | 6 +++---
+ 1 file changed, 3 insertions(+), 3 deletions(-)
+
+diff --git a/autogen.sh b/autogen.sh
+index b23855061..9b86d3ff9 100755
+--- a/autogen.sh
++++ b/autogen.sh
+@@ -229,24 +229,24 @@ if [ "$myhost" = "find-version" ]; then
+ esac
+
+ beta=no
+- if [ -e .git ]; then
++ if false; then
+ ingit=yes
+ tmp=$(git describe --match "${matchstr1}" --long 2>/dev/null)
+ tmp=$(echo "$tmp" | sed s/^"$package"//)
+ if [ -n "$tmp" ]; then
+ tmp=$(echo "$tmp" | sed s/^"$package"// \
+ | awk -F- '$3!=0 && $3 !~ /^beta/ {print"-beta"$3}')
+ else
+ tmp=$(git describe --match "${matchstr2}" --long 2>/dev/null \
+ | awk -F- '$4!=0{print"-beta"$4}')
+ fi
+ [ -n "$tmp" ] && beta=yes
+ rev=$(git rev-parse --short HEAD | tr -d '\n\r')
+ rvd=$((0x$(echo ${rev} | dd bs=1 count=4 2>/dev/null)))
+ else
+ ingit=no
+- beta=yes
+- tmp="-unknown"
++ beta=no
++ tmp=""
+ rev="0000000"
+ rvd="0"
+ fi
+--
+2.27.0
+
Copied: gnupg/repos/testing-x86_64/drop-import-clean.patch (from rev 454910, gnupg/trunk/drop-import-clean.patch)
===================================================================
--- testing-x86_64/drop-import-clean.patch (rev 0)
+++ testing-x86_64/drop-import-clean.patch 2022-09-02 17:02:41 UTC (rev 454911)
@@ -0,0 +1,54 @@
+From 1690a464b28fa24ce82189a9bf5d7ce9b44804b8 Mon Sep 17 00:00:00 2001
+From: Daniel Kahn Gillmor <dkg at fifthhorseman.net>
+Date: Mon, 15 Jul 2019 16:24:35 -0400
+Subject: [PATCH 3/7] gpg: drop import-clean from default keyserver import
+ options
+
+* g10/gpg.c (main): drop IMPORT_CLEAN from the
+default opt.keyserver_options.import_options
+* doc/gpg.texi: reflect this change in the documentation
+
+Given that SELF_SIGS_ONLY is already set, it's not clear what
+additional benefit IMPORT_CLEAN provides. Furthermore, IMPORT_CLEAN
+means that receiving an OpenPGP certificate from a keyserver will
+potentially delete data that is otherwise held in the local keyring,
+which is surprising to users who expect retrieval from the keyservers
+to be purely additive.
+
+GnuPG-Bug-Id: 4628
+Signed-off-by: Daniel Kahn Gillmor <dkg at fifthhorseman.net>
+---
+ doc/gpg.texi | 2 +-
+ g10/gpg.c | 3 +--
+ 2 files changed, 2 insertions(+), 3 deletions(-)
+
+diff --git a/doc/gpg.texi b/doc/gpg.texi
+index 4870441d4..551459a74 100644
+--- a/doc/gpg.texi
++++ b/doc/gpg.texi
+@@ -1963,7 +1963,7 @@ are available for all keyserver types, some common options are:
+
+ @end table
+
+-The default list of options is: "self-sigs-only, import-clean,
++The default list of options is: "self-sigs-only,
+ repair-keys, repair-pks-subkey-bug, export-attributes,
+ honor-pka-record".
+
+diff --git a/g10/gpg.c b/g10/gpg.c
+index 68cc22041..fa2bcfa5e 100644
+--- a/g10/gpg.c
++++ b/g10/gpg.c
+@@ -2397,8 +2397,7 @@ main (int argc, char **argv)
+ opt.export_options = EXPORT_ATTRIBUTES;
+ opt.keyserver_options.import_options = (IMPORT_REPAIR_KEYS
+ | IMPORT_REPAIR_PKS_SUBKEY_BUG
+- | IMPORT_SELF_SIGS_ONLY
+- | IMPORT_CLEAN);
++ | IMPORT_SELF_SIGS_ONLY);
+ opt.keyserver_options.export_options = EXPORT_ATTRIBUTES;
+ opt.keyserver_options.options = KEYSERVER_HONOR_PKA_RECORD;
+ opt.verify_options = (LIST_SHOW_UID_VALIDITY
+--
+2.27.0
+
Copied: gnupg/repos/testing-x86_64/gnupg.install (from rev 454910, gnupg/trunk/gnupg.install)
===================================================================
--- testing-x86_64/gnupg.install (rev 0)
+++ testing-x86_64/gnupg.install 2022-09-02 17:02:41 UTC (rev 454911)
@@ -0,0 +1,17 @@
+post_install() {
+ # run dirmngr once to create /root/.gnupg
+ # https://bugs.archlinux.org/task/47371
+ # https://bugs.archlinux.org/task/42798
+ dirmngr </dev/null &>/dev/null
+}
+
+post_upgrade() {
+ local unit
+
+ if (( $(vercmp "$2" '2.2.37-1') < 0)); then
+ for unit in {dirmngr,gpg-agent{,-{browser,extra,ssh}}}.socket; do
+ rm -f "/etc/systemd/user/sockets.target.wants/$unit"
+ done
+ printf "NOTE: GnuPG's systemd sockets are now enabled in the vendor location /usr/lib/systemd/user/!\n"
+ fi
+}
More information about the arch-commits
mailing list